<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.14"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>LO21: Etat1D Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">LO21
   &#160;<span id="projectnumber">0.1</span>
   </div>
   <div id="projectbrief">automates</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.14 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="class_etat1_d-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Etat1D Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Classe fille de <a class="el" href="class_etat.html" title="Classe mere Etat dont les classes filles sont Etat1D et Etat2D Le code a ete factorisee de telle sort...">Etat</a>. Correspond a un etat pour les automates une dimension.  
 <a href="class_etat1_d.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="etat_8h_source.html">etat.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Etat1D:</div>
<div class="dyncontent">
 <div class="center">
  <img src="class_etat1_d.png" usemap="#Etat1D_map" alt=""/>
  <map id="Etat1D_map" name="Etat1D_map">
<area href="class_etat.html" title="Classe mere Etat dont les classes filles sont Etat1D et Etat2D Le code a ete factorisee de telle sort..." alt="Etat" shape="rect" coords="0,0,49,24"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a3971802cc37ddf8d7114f59995f5bd43"><td class="memItemLeft" align="right" valign="top"><a id="a3971802cc37ddf8d7114f59995f5bd43"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_etat1_d.html#a3971802cc37ddf8d7114f59995f5bd43">Etat1D</a> ()</td></tr>
<tr class="memdesc:a3971802cc37ddf8d7114f59995f5bd43"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructeur par defaut. <br /></td></tr>
<tr class="separator:a3971802cc37ddf8d7114f59995f5bd43"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aabeb61516636e0b8e5c77985642ec9dd"><td class="memItemLeft" align="right" valign="top"><a id="aabeb61516636e0b8e5c77985642ec9dd"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_etat1_d.html#aabeb61516636e0b8e5c77985642ec9dd">Etat1D</a> (unsigned int t, unsigned int nbEtats=2)</td></tr>
<tr class="memdesc:aabeb61516636e0b8e5c77985642ec9dd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructeur. <br /></td></tr>
<tr class="separator:aabeb61516636e0b8e5c77985642ec9dd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abe0c1d0addb9981f8344982e81ca0345"><td class="memItemLeft" align="right" valign="top"><a id="abe0c1d0addb9981f8344982e81ca0345"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_etat1_d.html#abe0c1d0addb9981f8344982e81ca0345">Etat1D</a> (const <a class="el" href="class_etat1_d.html">Etat1D</a> &amp;e)</td></tr>
<tr class="memdesc:abe0c1d0addb9981f8344982e81ca0345"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructeur de recopie. <br /></td></tr>
<tr class="separator:abe0c1d0addb9981f8344982e81ca0345"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac972b631c8448d479a7fbb230f70f480"><td class="memItemLeft" align="right" valign="top"><a id="ac972b631c8448d479a7fbb230f70f480"></a>
<a class="el" href="class_etat1_d.html">Etat1D</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_etat1_d.html#ac972b631c8448d479a7fbb230f70f480">operator=</a> (const <a class="el" href="class_etat1_d.html">Etat1D</a> &amp;e)</td></tr>
<tr class="memdesc:ac972b631c8448d479a7fbb230f70f480"><td class="mdescLeft">&#160;</td><td class="mdescRight">Operateur d'affectation. <br /></td></tr>
<tr class="separator:ac972b631c8448d479a7fbb230f70f480"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a71be5b5b3efb3451403184f31e63d6a2"><td class="memItemLeft" align="right" valign="top"><a id="a71be5b5b3efb3451403184f31e63d6a2"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_etat1_d.html#a71be5b5b3efb3451403184f31e63d6a2">~Etat1D</a> ()</td></tr>
<tr class="memdesc:a71be5b5b3efb3451403184f31e63d6a2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Detructeur. <br /></td></tr>
<tr class="separator:a71be5b5b3efb3451403184f31e63d6a2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aff01b2663ed65be8e4c9341a24bda4c3"><td class="memItemLeft" align="right" valign="top"><a id="aff01b2663ed65be8e4c9341a24bda4c3"></a>
unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_etat1_d.html#aff01b2663ed65be8e4c9341a24bda4c3">getTaille</a> () const</td></tr>
<tr class="memdesc:aff01b2663ed65be8e4c9341a24bda4c3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Accesseur a l'attribut taille. <br /></td></tr>
<tr class="separator:aff01b2663ed65be8e4c9341a24bda4c3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aba15c5885223389846463ce442efd1c8"><td class="memItemLeft" align="right" valign="top"><a id="aba15c5885223389846463ce442efd1c8"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_etat1_d.html#aba15c5885223389846463ce442efd1c8">getCellule</a> (unsigned int numero) const</td></tr>
<tr class="memdesc:aba15c5885223389846463ce442efd1c8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Accesseur pour connaitre l'etat d'une cellule. <br /></td></tr>
<tr class="separator:aba15c5885223389846463ce442efd1c8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a149eb63f199190da9464c485d4a9f099"><td class="memItemLeft" align="right" valign="top"><a id="a149eb63f199190da9464c485d4a9f099"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_etat1_d.html#a149eb63f199190da9464c485d4a9f099">setCellule</a> (unsigned int numero, unsigned int val)</td></tr>
<tr class="memdesc:a149eb63f199190da9464c485d4a9f099"><td class="mdescLeft">&#160;</td><td class="mdescRight">La methode permet de modifier l'etat de la cellule numero avec la valeur val. <br /></td></tr>
<tr class="separator:a149eb63f199190da9464c485d4a9f099"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_class_etat"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_class_etat')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="class_etat.html">Etat</a></td></tr>
<tr class="memitem:a6cb9977958135a329bc4e6662e70bdd1 inherit pub_methods_class_etat"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_etat.html#a6cb9977958135a329bc4e6662e70bdd1">Etat</a> (unsigned int nbEtats=2)</td></tr>
<tr class="memdesc:a6cb9977958135a329bc4e6662e70bdd1 inherit pub_methods_class_etat"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructeur de la classe <a class="el" href="class_etat.html" title="Classe mere Etat dont les classes filles sont Etat1D et Etat2D Le code a ete factorisee de telle sort...">Etat</a>.  <a href="class_etat.html#a6cb9977958135a329bc4e6662e70bdd1">More...</a><br /></td></tr>
<tr class="separator:a6cb9977958135a329bc4e6662e70bdd1 inherit pub_methods_class_etat"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1d8f1f3bea9019d315bfcc5c1ab3ec15 inherit pub_methods_class_etat"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_etat.html#a1d8f1f3bea9019d315bfcc5c1ab3ec15">getNbEtats</a> () const</td></tr>
<tr class="memdesc:a1d8f1f3bea9019d315bfcc5c1ab3ec15 inherit pub_methods_class_etat"><td class="mdescLeft">&#160;</td><td class="mdescRight">Accesseur du nombre d'etats.  <a href="class_etat.html#a1d8f1f3bea9019d315bfcc5c1ab3ec15">More...</a><br /></td></tr>
<tr class="separator:a1d8f1f3bea9019d315bfcc5c1ab3ec15 inherit pub_methods_class_etat"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pro_attribs_class_etat"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_class_etat')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="class_etat.html">Etat</a></td></tr>
<tr class="memitem:abe6a37128e5a0be847c6f8330285d472 inherit pro_attribs_class_etat"><td class="memItemLeft" align="right" valign="top"><a id="abe6a37128e5a0be847c6f8330285d472"></a>
unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_etat.html#abe6a37128e5a0be847c6f8330285d472">nbEtatsParCellule</a></td></tr>
<tr class="memdesc:abe6a37128e5a0be847c6f8330285d472 inherit pro_attribs_class_etat"><td class="mdescLeft">&#160;</td><td class="mdescRight">Nombre d'etat par cellule. <br /></td></tr>
<tr class="separator:abe6a37128e5a0be847c6f8330285d472 inherit pro_attribs_class_etat"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Classe fille de <a class="el" href="class_etat.html" title="Classe mere Etat dont les classes filles sont Etat1D et Etat2D Le code a ete factorisee de telle sort...">Etat</a>. Correspond a un etat pour les automates une dimension. </p>
</div><hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="etat_8h_source.html">etat.h</a></li>
<li>etat.cpp</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.14
</small></address>
</body>
</html>
